info:
  name: Codice Contratto con caratteri strani
  type: http
  seq: 23

http:
  method: POST
  url: "{{elixFormsApiUrl}}/eftl/process/v1"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
    - name: x-api-key
      value: "{{elixFormsWsAuthenticationToken}}"
    - name: x-ef-request-id
      value: "16204"
  body:
    type: json
    data: |-
      {
        "userDocument": "{{elixBase64EftlDocument}}", // see the pre-request script
        "userContext": {
          "lang": "IT",
          "itemCodiceContratto": "CRIS_G_25_CCS_IST_RA_UNIVERSITÀPOLITECNICADELL_01"
        }
      }
  auth: inherit

runtime:
  scripts:
    - type: before-request
      code: "const { prepareEftlDocument } = require(\"./elixFormsJs.js\")

        // Copy-pasta your EFTL document below inside the template literals (`)

        prepareEftlDocument(String.raw`

        [EFTL][HEADER name=\"trimDocument\" value=\"true\" type=\"boolean\" /]

        [VAR name=\"codiceContratto\" type=\"string\"][VALUE_OF varname=\"itemCodiceContratto\" /][/VAR]

        [VAR name=\"debug\" type=\"boolean\"][% debug = false; %][/VAR]


        [!-- Titolo contratto ha il formato \"[codice_contratto] titolo\" --]

        [!-- La prima split fatta per \"\\] \" mi restituisce \"[codice_contratto\" --]

        [VAR name=\"firstSplit\" type=\"iterable\"][SPLIT regex=\"\\] \"][VALUE_OF varname=\"itemCodiceContratto\" /][/SPLIT][/VAR]

        [VAR name=\"firstSplitIdx\"][% firstSplitIdx = 0; %][/VAR]

        [!-- La seconda split fatta per \"\\[\" mi restituisce \"codice_contratto\" --]

        [VAR name=\"secondSplit\" type=\"iterable\"][SPLIT regex=\"\\[\"][VALUE_OF varname=\"firstSplit\" index=\"firstSplitIdx\" /][/SPLIT][/VAR]

        [VAR name=\"secondSplitIdx\"][% secondSplitIdx = 1; %][/VAR]


        [VAR name=\"condizione\"][SIZE_OF varname=\"secondSplit\" /][/VAR]

        [IF]

        \    [CONDITION][% condizione > 1 %][/CONDITION]

        \    [THEN]

        \        [VAR name=\"codiceContratto\" type=\"string\"][VALUE_OF varname=\"secondSplit\" index=\"secondSplitIdx\" /][/VAR]

        \    [/THEN]

        [/IF]


        [VAR name=\"codiceContrattoSplit\" type=\"iterable\"][SPLIT regex=\"Ã\"][VALUE_OF varname=\"codiceContratto\" /][/SPLIT][/VAR]

        [VAR name=\"condizioneSplit\"][SIZE_OF varname=\"codiceContrattoSplit\" /][/VAR]

        [IF]

        \    [CONDITION][% condizioneSplit > 1 %][/CONDITION]

        \    [THEN]

        \        [% debug = true; %]

        \        [VAR name=\"codiceContrattoSplitFirst\" type=\"string\"][VALUE_OF varname=\"codiceContrattoSplit\" index=\"firstSplitIdx\" /][/VAR]

        \        [VAR name=\"codiceContrattoSplitSecond\" type=\"string\"][VALUE_OF varname=\"codiceContrattoSplit\" index=\"secondSplitIdx\" /][/VAR]

        \        [% codiceContratto = codiceContrattoSplitFirst + \"%C3%80\" + codiceContrattoSplitSecond; %]

        \    [/THEN]

        [/IF]


        <html>

        <ul>

        <li>[%= codiceContratto %]</li>

        <li>[%= codiceContrattoSplit %]</li>

        <li>[%= debug %]</li>

        </ul>

        </html>

        [/EFTL]

        `);"

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true
